Bug 472542 - Review Request: afuse - An automounter implemented with FUSE
Review Request: afuse - An automounter implemented with FUSE
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Peter Lemenkov
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-11-21 11:53 EST by Tom "spot" Callaway
Modified: 2008-12-06 23:27 EST (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-12-06 23:25:05 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
lemenkov: fedora‑review+
tcallawa: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description Tom "spot" Callaway 2008-11-21 11:53:24 EST
Spec URL: http://www.auroralinux.org/people/spot/review/new/afuse.spec
SRPM URL: http://www.auroralinux.org/people/spot/review/new/afuse-0.2-1.fc10.src.rpm
Description: 
Afuse is an automounting file system implemented in user-space using FUSE.
Afuse currently implements the most basic functionality that can be expected
by an automounter; that is it manages a directory of virtual directories. If
one of these virtual directories is accessed and is not already automounted,
afuse will attempt to mount a filesystem onto that directory. If the mount
succeeds the requested access proceeds as normal, otherwise it will fail
with an error.
Comment 1 Peter Lemenkov 2008-11-21 13:05:52 EST
Helpful companion to fuse. I'll review it.
Comment 2 Peter Lemenkov 2008-11-30 05:11:40 EST
REVIEW:

MUST Items:

+ rpmlint is silent
+ The package is named according to the Package Naming Guidelines .
+ The spec file name matches the base package %{name}, in the format %{name}.spec.
+ The package meets the Packaging Guidelines .
+ The package is licensed with a Fedora approved license and meets the Licensing Guidelines .
+ The License field in the package spec file matches the actual license.
+ The file, containing the text of the license(s) for the package, is included in %doc.
+ The spec file is written in American English.
+ The spec file for the package is legible. 
+ The sources used to build the package must matches the upstream source, as provided in the spec URL.

[petro@Sulaco SOURCES]$ md5sum afuse-0.2.tar.gz*
97b58a768ecb30696fb6c33dd8435b83  afuse-0.2.tar.gz
97b58a768ecb30696fb6c33dd8435b83  afuse-0.2.tar.gz.from_srpm
[petro@Sulaco SOURCES]$

+ The package successfully compiles and builds into binary rpms on at least one supported architecture (ppc).
+ All build dependencies are listed in BuildRequires
+ The package does not contain any duplicate files in the %files listing.
+ Permissions on files are set properly.
+ The package has a %clean section, which contains rm -rf %{buildroot} ( or $RPM_BUILD_ROOT ).
+ The package consistently uses macros, as described in the macros section of Packaging Guidelines .
+ The package contains code, or permissable content.
+ Everything, the package includes as %doc, does not affect the runtime of the application.
+ The package does not own files or directories already owned by other packages.
+ At the beginning of %install, the package runs rm -rf %{buildroot} ( or $RPM_BUILD_ROOT ). 
+ All filenames in rpm packages are valid UTF-8.

APPROVED
Comment 3 Tom "spot" Callaway 2008-12-02 13:09:24 EST
New Package CVS Request
=======================
Package Name: afuse
Short Description: An automounter implemented with FUSE
Owners: spot
Branches: F-9 F-10 devel
InitialCC:

... and it's done.
Comment 4 Fedora Update System 2008-12-02 13:53:12 EST
afuse-0.2-1.fc10 has been submitted as an update for Fedora 10.
http://admin.fedoraproject.org/updates/afuse-0.2-1.fc10
Comment 5 Fedora Update System 2008-12-02 13:53:15 EST
afuse-0.2-1.fc9 has been submitted as an update for Fedora 9.
http://admin.fedoraproject.org/updates/afuse-0.2-1.fc9
Comment 6 Fedora Update System 2008-12-06 23:25:02 EST
afuse-0.2-1.fc10 has been pushed to the Fedora 10 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 7 Fedora Update System 2008-12-06 23:27:02 EST
afuse-0.2-1.fc9 has been pushed to the Fedora 9 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.